felixfbecker felixfbecker

iterare

8 7 0

Array methods + ES6 Iterators = :heart:

Dependencies

Package Locked Requirement Latest Status Changelog
There is no runtime dependency.
Package Locked Requirement Latest Status Changelog
Npms benchmark ^2.1.3 2.1.4

benchmark

A benchmarking library that supports high-resolution timers & returns statistically significant results.

This dependency is up-to-date. Congrats and keep going!

Npms commitlint ^5.2.5 6.1.2

commitlint

Lint your commit messages

This dependency is not matching latest version. Please consider upgrading.

Npms husky ^0.14.3 0.14.3

husky

Prevents bad commit or push (git hooks, pre-commit/precommit, pre-push/prepush, post-merge/postmerge and all that stuff...)

This dependency is up-to-date. Congrats and keep going!

Npms ix ^2.2.0 2.3.5

ix

The Interactive Extensions for JavaScript

This dependency is up-to-date. Congrats and keep going!

Npms lodash ^4.17.4 4.17.5

lodash

Lodash modular utilities.

This dependency is up-to-date. Congrats and keep going!

Npms mocha ^3.2.0 5.0.1

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms nyc ^10.1.2 11.4.1

nyc

the Istanbul command line interface

This dependency is not matching latest version. Please consider upgrading.

Npms prettier ^1.9.2 1.10.2

prettier

Prettier is an opinionated code formatter

This dependency is up-to-date. Congrats and keep going!

Npms rxjs ^5.2.0 5.5.6

rxjs

Reactive Extensions for modern JavaScript

This dependency is up-to-date. Congrats and keep going!

Npms semantic-release ^11.0.2 12.4.1

semantic-release

Automated semver compliant package publishing

This dependency is not matching latest version. Please consider upgrading.

Npms source-map-support ^0.4.14 0.5.3

source-map-support

Fixes stack traces for files with source maps

This dependency is not matching latest version. Please consider upgrading.

Npms tslint ^5.8.0 5.9.1

tslint

An extensible static analysis linter for the TypeScript language

This dependency is up-to-date. Congrats and keep going!

Npms tslint-config-prettier ^1.6.0 1.8.0

tslint-config-prettier

Do you wanna use tslint and prettier without conflicts? tslint-config-prettier disables all conflicting rules that may cause such problems. Prettier takes care of formatting and tslint the rest.

This dependency is up-to-date. Congrats and keep going!

Npms typedoc ^0.9.0 0.10.0

typedoc

Create api documentations for typescript projects.

This dependency is not matching latest version. Please consider upgrading.

Npms typescript ~2.6.2 2.7.2

typescript

TypeScript is a language for application scale JavaScript development

This dependency is not matching latest version. Please consider upgrading.